Source: lalinference
Section: science
Priority: optional
Maintainer: Steffen Grunewald <steffen.grunewald@aei.mpg.de>
Uploaders: Adam Mercer <adam.mercer@ligo.org>, GitLab <gitlab@git.ligo.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 help2man (>= 1.37),
 lal-octave (>= @MIN_LAL_VERSION@~),
 lalframe-octave (>= @MIN_LALFRAME_VERSION@~),
 lalmetaio-octave (>= @MIN_LALMETAIO_VERSION@~),
 lalsimulation-octave (>= @MIN_LALSIMULATION_VERSION@~),
 lalburst-octave (>= @MIN_LALBURST_VERSION@~),
 lalinspiral-octave (>= @MIN_LALINSPIRAL_VERSION@~),
 lalpulsar-octave (>= @MIN_LALPULSAR_VERSION@~),
 libgsl-dev | libgsl0-dev (>= 1.15),
 liblal-dev (>= @MIN_LAL_VERSION@~),
 liblalframe-dev (>= @MIN_LALFRAME_VERSION@~),
 liblalmetaio-dev (>= @MIN_LALMETAIO_VERSION@~),
 liblalsimulation-dev (>= @MIN_LALSIMULATION_VERSION@~),
 liblalburst-dev (>= @MIN_LALBURST_VERSION@~),
 liblalinspiral-dev (>= @MIN_LALINSPIRAL_VERSION@~),
 liblalpulsar-dev (>= @MIN_LALPULSAR_VERSION@~),
 liboctave-dev,
 libopenmpi-dev,
 pkg-config (>= 0.18.0),
 python3-all-dev,
 python3-astropy (>= 1.1.1),
 python3-glue (>= @MIN_GLUE_VERSION@),
 python3-gwdatafind,
 python3-gwpy,
 python3-h5py,
 python3-healpy (>= 1.9.1),
 python3-lal (>= @MIN_LAL_VERSION@~),
 python3-lalframe (>= @MIN_LALFRAME_VERSION@~),
 python3-lalmetaio (>= @MIN_LALMETAIO_VERSION@~),
 python3-lalsimulation (>= @MIN_LALSIMULATION_VERSION@~),
 python3-lalburst (>= @MIN_LALBURST_VERSION@~),
 python3-lalinspiral (>= @MIN_LALINSPIRAL_VERSION@~),
 python3-lalpulsar (>= @MIN_LALPULSAR_VERSION@~),
 python3-matplotlib (>= 1.2.0),
 python3-numpy (>= @MIN_NUMPY_VERSION@),
 python3-pytest,
 python3-scipy (>= 0.9.0),
 rsync,
 swig (>= @MIN_SWIG_VERSION@) | swig3.0 (>= @MIN_SWIG_VERSION@),
X-Python3-Version: >= 3.5
Standards-Version: 3.9.8

Package: liblalinference@LIBMAJOR@
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: lalinference (<< 2.0.5-2~)
Replaces: lalinference (<< 2.0.5-2~)
Description: LSC Algorithm Library Inference
 The LSC Algorithm Inspiral Library for gravitational wave data analysis.
 This package contains the shared-object libraries needed to run applications
 that use the LAL Inference library.

Package: liblalinference-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libgsl-dev | libgsl0-dev (>= 1.15),
 liblal-dev (>= @MIN_LAL_VERSION@~),
 liblalburst-dev (>= @MIN_LALBURST_VERSION@~),
 liblalframe-dev (>= @MIN_LALFRAME_VERSION@~),
 liblalinference@LIBMAJOR@ (= ${binary:Version}),
 liblalinspiral-dev (>= @MIN_LALINSPIRAL_VERSION@~),
 liblalmetaio-dev (>= @MIN_LALMETAIO_VERSION@~),
 liblalpulsar-dev (>= @MIN_LALPULSAR_VERSION@~),
 liblalsimulation-dev (>= @MIN_LALSIMULATION_VERSION@~),
Description: LSC Algorithm Library Inference Developers
 The LSC Algorithm Inference Library for gravitational wave data analysis.
 This package contains files needed build applications that use the LAL
 Inference library.
Provides: lalinference-dev (= ${binary:Version})
Breaks: lalinference-dev (<< 2.0.5-2~)
Replaces: lalinference-dev (<< 2.0.5-2~)

Package: python3-lalinference
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 liblalinference@LIBMAJOR@ (= ${binary:Version}),
 python3-astropy (>= 1.1.1),
 python3-glue (>= @MIN_GLUE_VERSION@),
 python3-gwdatafind,
 python3-gwpy,
 python3-h5py,
 python3-lal (>= @MIN_LAL_VERSION@~),
 python3-lalframe (>= @MIN_LALFRAME_VERSION@~),
 python3-lalmetaio (>= @MIN_LALMETAIO_VERSION@~),
 python3-lalsimulation (>= @MIN_LALSIMULATION_VERSION@~),
 python3-lalburst (>= @MIN_LALBURST_VERSION@~),
 python3-lalinspiral (>= @MIN_LALINSPIRAL_VERSION@~),
 python3-lalpulsar (>= @MIN_LALPULSAR_VERSION@~),
 python3-ligo-gracedb,
 python3-ligo-lw (>= @MIN_PYTHON_LIGO_LW_VERSION@~),
 python3-ligo-segments,
 python3-matplotlib (>= 1.2.0),
 python3-numpy (>= @MIN_NUMPY_VERSION@),
 python3-scipy (>= 0.8),
 python3-six,
Replaces: lalapps (<< 6.21.0.1-1), lalinference-python (<< 1.9.4.1-1~), lalinference (<< 1.11.1)
Breaks: lalapps (<< 6.21.0.1-1), lalinference-python (<< 1.9.4.1-1~), lalinference (<< 1.11.1)
Description: Python 3 bindings for LALInference
 The LSC Algorithm Inference Library for gravitational wave data analysis.
 This package contains Python 3 bindings for the LAL Inference library.

Package: lalinference-octave
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lal-octave (>= @MIN_LAL_VERSION@~),
 lalframe-octave (>= @MIN_LALFRAME_VERSION@~),
 lalmetaio-octave (>= @MIN_LALMETAIO_VERSION@~),
 lalsimulation-octave (>= @MIN_LALSIMULATION_VERSION@~),
 lalburst-octave (>= @MIN_LALBURST_VERSION@~),
 lalinspiral-octave (>= @MIN_LALINSPIRAL_VERSION@~),
 lalpulsar-octave (>= @MIN_LALPULSAR_VERSION@~),
 liblalinference@LIBMAJOR@ (= ${binary:Version}),
 octave,
Description: Octave bindings for LALInference
 The LSC Algorithm Inference Library for gravitational wave data analysis.
 This package contains Octave bindings for the LAL Inference library.

Package: lalinference
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 liblalinference@LIBMAJOR@ (= ${binary:Version}),
 openmpi-bin,
 openssh-client,
 python3:any,
 python3-lalinference (= ${binary:Version}),
Description: LSC Algorithm Library Inference
 The LSC Algorithm Inference Library for gravitational wave data analysis.
 This package provides the runtime tools.
Breaks: lalapps (<< 6.25)
Replaces: lalapps (<< 6.25)
